Fetch a Manual Hold
curl --request GET \
--url https://api.treasuryprime.com/hold/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/hold/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/hold/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "acct_1234567890",
"amount": "10.00",
"bank_id": "bank_treasuryprime",
"expires_at": "2023-11-09T22:39:48Z",
"hold_description": "Hold description",
"hold_release_description": "Released description",
"hold_transaction_id": "ttx_1234567890",
"id": "mhold_1234567890",
"org_id": "org_fintech",
"release_transaction_id": null,
"status": "active"
}Manual Hold
Fetch a Manual Hold
GET
/
hold
/
{id}
Fetch a Manual Hold
Authorizations
basicAuthapiKey
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Unique identifier for object
Response
200 - application/json
The manual_hold
ID of the Account to place the hold. Filterable.
Amount of money to hold, with two decimal precision
Pattern:
^[0-9]+[.][0-9][0-9]$ID of the bank with which the object is associated
Optional timestamp to expire the hold
Optional description for the hold transaction
Optional description for the hold release transaction
ID of the hold transaction
Unique identifier for object
ID of the organization with which the object is associated
ID of the hold release transaction
Status of the hold, one of active, released, or expired. Filterable.
Was this page helpful?